Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ECAttribute

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ECAttribute

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ECAttribute

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

An Attribute retrieved from the AMX BPM Event Collector

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`ECAttribute()`
`ECAttribute(java.lang.String aName, java.lang.String aValue, java.lang.String aType, java.lang.String aComponent)`

Method Summary
`java.lang.String` | `getComponent()` The component which logged the attribute.
`java.lang.String` | `getName()` The name of the attribute.
`java.lang.String` | `getType()` The datatype of the attribute.
`java.lang.String` | `getValue()` The value of the attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECAttribute

    public ECAttribute()

### ECAttribute

    public ECAttribute(java.lang.String aName,
                       java.lang.String aValue,
                       java.lang.String aType,
                       java.lang.String aComponent)

Method Detail

### getName

    public java.lang.String getName()

  The name of the attribute.

  Returns:
    Returns the name.

### getValue

    public java.lang.String getValue()

  The value of the attribute.

  Returns:
    Returns the value.

### getType

    public java.lang.String getType()

  The datatype of the attribute.

  Returns:
    Returns the type.

### getComponent

    public java.lang.String getComponent()

  The component which logged the attribute.

  Returns:
    Returns the component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.